package com.gci.boot.annotation.permission;

import java.lang.annotation.*;

/**
  *  数据权限注解
 * @Author taoyan
 * @Date 2019年4月11日
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE,ElementType.METHOD})
@Documented
public @interface DataPermission {
	/**
	 * 默认字段暂时不用
	 * @return
	 */
	String value() default "";
	
	
	/**
	 * 存放作为过滤条件的字段名称：表名.projectId,createBy,repairShop或（createBy,repairShop）
	 */
	String item() default "projectId";

	/**
	 * 指定sqlId
	 * @return
	 */
	String[] sqlIds() default {};

	/**
	 * 以逗号隔开的字符串包容
	 */
	boolean stringIn() default false;
 }